Skip to main content
GET
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
messages
/
{message_id}
/
raw
Get Raw Message
curl --request GET \
  --url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/{message_id}/raw \
  --header 'Authorization: Bearer <token>'
{
  "message_id": "<string>",
  "size": 123,
  "download_url": "<string>",
  "expires_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer authentication

Path Parameters

inbox_id
string
required

The ID of the inbox.

message_id
string
required

ID of message.

Response

Response with status 200

S3 presigned URL to download the raw .eml file.

message_id
string
required

ID of the message.

size
integer
required

Size of the raw message in bytes.

download_url
string
required

S3 presigned URL to download the raw message. Expires at expires_at.

expires_at
string<date-time>
required

Time at which the download URL expires.